// https://stackoverflow.com/questions/16415827/get-reviews-from-google-map-api
import React, { useEffect, useState } from "react";

const GoogleReviews = () => {
  const [reviews, setReviews] = useState([]);

  useEffect(() => {
    const proxyurl = "https://cors-anywhere.herokuapp.com/";
    const url =
      "https://maps.googleapis.com/maps/api/place/details/json?place_id=ChIJN1t_tDeuEmsRUsoyG83frY4&fields=name,rating,formatted_phone_number,review&key=AIzaSyB-3Y3ZQ3ZoZ3J4Qg3Zn7Jb1D9Y2xZpN9I";
    fetch(proxyurl + url)
      .then((response) => response.json())
      .then((contents) => {
        console.log(contents);
        setReviews(contents.result.reviews);
      })
      .catch(() =>
        console.log("Can’t access " + url + " response. Blocked by browser?")
      );
  }, []);

  return (
    <div>
      <h1>Google Reviews</h1>
      <ul>
        {reviews.map((review, index) => (
          <li key={index}>
            <p>{review.text}</p>
            <p>{review.author_name}</p>
            <p>{review.relative_time_description}</p>
          </li>
        ))}
      </ul>
    </div>
  );
};
